# This task updates GRUB to disable PCie Active State Power Management (ASPM)

---
- name: Disable PCIe Active State Power Management (ASPM)
  copy:
    src: grub
    dest: /etc/default/grub
    mode: u+rw,g+r,o+r

- name: Update GRUB for PCIe-ASPM setting
  command: update-grub

- name: Reboot
  reboot:
    msg:
